package envoy.client.event;

import envoy.client.data.LocalDB;
import envoy.client.ui.controller.ChatScene;
import envoy.event.Event;

/**
 * This event carries an instance of {@link LocalDB} so the groupCreationTab has the most recent version of the contactList. <br>
 * It is triggered as soon as the corresponding button in {@link ChatScene} is clicked. <p>
 * 
 * Project: <strong>client</strong><br>
 * File: <strong>LoadGroupCreationEvent.java</strong><br>
 * Created: <strong>23.08.2020</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy Client v0.2-beta
 */
public class LoadGroupCreationEvent extends Event<LocalDB>{

	private static final long serialVersionUID = 0L;

	/**
	 * @param value the localDB
	 * @since Envoy Client v0.2-beta
	 */
	public LoadGroupCreationEvent(LocalDB value) { super(value); }

}
